Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ejb.page
Class PageDataEJB

    java.lang.Object
      com.sun.mdm.index.ejb.page.PageDataEJB

All Implemented Interfaces:
  PageData, PageDataRemote

public class PageDataEJB
extends java.lang.Object
implements PageDataRemote

Session bean to store a data result on the server and give client the data one page at a time.

Constructor Summary
`PageDataEJB()` Creates a new instance of PageDataEJB

Method Summary
`void` | `activate()` Standard EJB3 callback method.
`int` | `count()` Return the number of objects in the result set.
`java.util.ArrayList` | `next(int count)` See PageData
`java.util.ArrayList` | `next(int index, int count)` See PageData
`void` | `passivate()` Standard EJB3 callback method.
`java.util.ArrayList` | `prev(int count)` See PageData
`java.util.ArrayList` | `prev(int index, int count)` See PageData
`void` | `remove()` Standard EJB3 callback method.
`void` | `setPageAdapter(PageAdapter pageAdapter)` See PageData
`void` | `setReadForwardOnly(boolean forwardOnly)` Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.
`void` | `sort(java.util.Comparator c)` See PageData
`void` | `sortSummary(java.util.Comparator c)` See PageData

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageDataEJB

    public PageDataEJB()

  Creates a new instance of PageDataEJB

Method Detail

### activate

    public void activate()

  Standard EJB3 callback method.

  See Also:
    `javax.ejb.PostActivate`

### count

    public int count()
              throws PageException

  Return the number of objects in the result set.

  Specified by:
    `count` in interface `PageData`
  Returns:
    See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.count()`

### next

    public java.util.ArrayList next(int count)
                             throws PageException

  See PageData

  Specified by:
    `next` in interface `PageData`
  Parameters:
    `count` - See PageData
  Returns:
    See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.next(int count)`

### next

    public java.util.ArrayList next(int index,
                                    int count)
                             throws PageException

  See PageData

  Specified by:
    `next` in interface `PageData`
  Parameters:
    `index` - See PageData
    `count` - See PageData
  Returns:
    See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.next(int index, int count)`

### passivate

    public void passivate()

  Standard EJB3 callback method.

  See Also:
    `javax.ejb.PrePassivate`

### prev

    public java.util.ArrayList prev(int count)
                             throws PageException

  See PageData

  Specified by:
    `prev` in interface `PageData`
  Parameters:
    `count` - See PageData
  Returns:
    See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.prev(int count)`

### prev

    public java.util.ArrayList prev(int index,
                                    int count)
                             throws PageException

  See PageData

  Specified by:
    `prev` in interface `PageData`
  Parameters:
    `index` - See PageData
    `count` - See PageData
  Returns:
    See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.prev(int index, int count)`

### remove

    public void remove()

  Standard EJB3 callback method.

  Specified by:
    `remove` in interface `PageData`
  See Also:
    `javax.annotation.PreDestroy`

### setPageAdapter

    public void setPageAdapter(PageAdapter pageAdapter)
                        throws PageException

  See PageData

  Specified by:
    `setPageAdapter` in interface `PageData`
  Parameters:
    `pageAdapter` - See PageData
  Throws:
    `PageException` - An error has occured.
  See Also:
    `PageData.setPageAdapter(PageAdapter pageAdapter)`

### setReadForwardOnly

    public void setReadForwardOnly(boolean forwardOnly)
                            throws PageException

  Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.

  Specified by:
    `setReadForwardOnly` in interface `PageData`
  Parameters:
    `forwardOnly` - See PageData
  Throws:
    `PageException` - See PageData

### sort

    public void sort(java.util.Comparator c)
              throws PageException

  See PageData

  Specified by:
    `sort` in interface `PageData`
  Parameters:
    `c` - See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.sort(Comparator c)`

### sortSummary

    public void sortSummary(java.util.Comparator c)
                     throws PageException

  See PageData

  Specified by:
    `sortSummary` in interface `PageData`
  Parameters:
    `c` - See PageData
  Throws:
    `PageException` - See PageData
  See Also:
    `PageData.sort(Comparator c)`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.